OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_AutoCorrect Class Reference

Does the absolutely effective corrections on IGES Entity.
That is to say : regarding the norm in details, some values
have mandatory values, or set of values with constraints.
When such values/constraints are univoque, they can be forced.
Also nullifies items of Directory Part, Associativities, and
Properties, which are not (or not longer) in <target> Model.
Works by calling a BasicEditor from IGESData
Works with the specific IGES Services : DirChecker which
allows to correct data in "Directory Part" of Entities (such
as required values for status, or references to be null), and
the specific IGES service OwnCorrect, which is specialised for
each type of entity.
Remark : this does not comprise the computation of use flag or
subordinate status according references, which is made by
the ModelModifier class ComputeStatus.
The Input Selection, when present, designates the entities to
be corrected. If it is not present, all the entities of the
model are corrected.
.

`#include <IGESSelect_AutoCorrect.hxx>`

Inheritance diagram for IGESSelect_AutoCorrect:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_AutoCorrect ()
| Creates an AutoCorrect. .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : corrects entities when it is absolutely obvious, i.e. non equivoque (by DirChecker and specific service OwnCorrect) : works with a protocol. .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Auto-correction of IGES Entities" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_AutoCorrect::IGESSelect_AutoCorrect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_AutoCorrect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_AutoCorrect::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_AutoCorrect::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_AutoCorrect.hxx